Subject: Re: bug#56683: 29.0.50; long lines fix doesn't work correctly when lines are truncated

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Jul 2022 22:57:55 +0300

> Cc: [email-masked]
> Date: Thu, 21 Jul 2022 19:45:19 +0000
> From: Gregory Heytings <[email-masked]>
> 
> > I'm using emacs with `truncate-lines` set to `t` in my init.el.  After 
> > the merge of #56393 I've rebuilt Emacs, and started testing the fix. 
> > I've noticed, that when lines are truncated, opening dictionary.json 
> > from the #45898 and pressing C-e doesn't move you to the end of the 
> > line, but stops somewhere inside it.  E.g. with the default window width 
> > of Emacs -Q, I can see the following portion of the line
> >
> > ←, "hu": ["index"]}, "examples": [["en C la indicoj aperas interortajkrampoj, →
> >
> > Arrows shown in the fringe indicate that there are more to the line on 
> > the right side.
> >
> 
> You would have seen the same bug before the merge, so it's entirely 
> unrelated to the merge.  It is present at least in Emacs 24, 25, 26, 27 
> and 28.

Is this related to the below (from xdisp.c)?

  #define DISP_INFINITY 10000000

Maybe we should make "infinity" somewhat larger?  dictionary.json has
a single line that is 18922365 characters long, so it's "more than
infinity".